package com.bjtdba.merchant.dao;

import com.bjtdba.merchant.entity.StoreBranchJurisdiction;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface  StoreBranchJurisdictionDao {
    long countByExample(StoreBranchJurisdiction example);

    int deleteByExample(StoreBranchJurisdiction example);

    int deleteByPrimaryKey(Integer id);

    int insert(StoreBranchJurisdiction record);

    int insertSelective(StoreBranchJurisdiction record);

    List<StoreBranchJurisdiction> selectByExample(StoreBranchJurisdiction example);

    StoreBranchJurisdiction selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") StoreBranchJurisdiction record, @Param("example") StoreBranchJurisdiction example);

    int updateByExample(@Param("record") StoreBranchJurisdiction record, @Param("example") StoreBranchJurisdiction example);

    int updateByPrimaryKeySelective(StoreBranchJurisdiction record);

    int updateByPrimaryKey(StoreBranchJurisdiction record);
}